Bug 763257 - (GLUSTER-1525) creating new directory on newly added server
creating new directory on newly added server
Product: GlusterFS
Classification: Community
Component: nfs (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Shehjar Tikoo
Depends On:
  Show dependency treegraph
Reported: 2010-09-04 03:08 EDT by Lakshmipathi G
Modified: 2015-12-01 11:45 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed:
Type: ---
Regression: RTP
Mount Type: nfs
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Lakshmipathi G 2010-09-04 03:08:42 EDT
While creating directory using mkdir ,these directories are not created in newly added server(on 4th server but avail in 3rd brick).this works fine from fuse mount clients.

step 0:
create dht with 2 servers.
mount (nfs) it on client.
add brick 3

nfs-mount-client#mkdir some-dir
-this will be avail. in brick3

now add brick 4

nfs-mount-client#mkdir some-new-dir
-this will be avail. in brick3 but in brick4 

when doing ls -l from glfs-mount this dirs appears in brick4
fuse-mount-client#ls -l
Comment 1 Shehjar Tikoo 2010-10-05 04:27:32 EDT
I believed this was fixed as part of 1724 where we have properly tested adding bricks with nfs.

Note You need to log in before you can comment on or make changes to this bug.